import { type PipeTransform } from '@angular/core';
import { ToastNotificationsService } from './toast-notifications.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Value formatter pipe.
 */
export declare class ToastNotificationsLabelPipe implements PipeTransform {
    protected service: ToastNotificationsService;
    /**
     * Transforms the string texts passed into it using the preferred formatter function. The formatter function can be set in the Toast Notification Service
     * @param value
     * @returns
     */
    transform(value: string): Observable<string>;
    constructor(service: ToastNotificationsService);
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastNotificationsLabelPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<ToastNotificationsLabelPipe, "tnLabelPipe", true>;
}
